import sys, os
sys.path.append("/home/thebears/Web/Nuggets/SearchInterface/SearchUtil")
sys.path.append("/home/thebears/Web/Nuggets/SearchInterface/VectorService/util")
import embed_scores as ES

cd = '/srv/ftp_tcc/leopards1/2025/09/13/'
o = ES.calculate_embedding_score_in_folder(cd, 0.1, query='Two cats');

# %%
from CommonCode.video_meta import FTPVideo
f='/srv/ftp_tcc/leopards1/2025/09/13/Leopards1_00_20250913135952.mp4'
c = FTPVideo(f)
c.embeddings
